#ifndef __YPRINT__
#define __YPRINT__

#include <math.h>
#include "Ylib.h"


///////////////////////////////////////////////////
// Fonctions d'affichage
///////////////////////////////////////////////////

/// Affiche le contenu du double buffer  l'cran
void YPrintBuffer (void);

/// Allumage d'un pixel dans le double buffer
void YPrintPixel (int x, int y);

/// Allume une srie de pixels dans le double buffer
void YPrintPixels (XPoint *pixels, int nb_pixels);

/// Affichage d'un point en 3d dans le double buffer //???????
void YPrintPoint3D (point_3d point, int type); //type = projection ou perspective

/// Affichage d'une ligne en 2d dans le double buffer
void YPrintLine2D (point_2d deb, point_2d fin);

/// Affichage d'une ligne en 3d dans le double buffer // ????????
void YPrintLine3D (point_3d deb, point_3d fin, int type);


#endif
